package ru.dbotthepony.mc.otm.client.render

import com.mojang.blaze3d.vertex.VertexConsumer
import com.mojang.math.Matrix4f
import ru.dbotthepony.mc.otm.core.Vector

fun VertexConsumer.normal(vector: Vector) = normal(vector.x.toFloat(), vector.y.toFloat(), vector.z.toFloat())
fun VertexConsumer.vertex(matrix4f: Matrix4f, vector: Vector) = vertex(matrix4f, vector.x.toFloat(), vector.y.toFloat(), vector.z.toFloat())
fun VertexConsumer.color(color: RGBAColor) = color(color.r, color.g, color.b, color.a)
